Bug 1178909 - CVE-2014-9449 exiv2: buffer overflow in RiffVideo::infoTagsHandler [fedora-21]
Summary: CVE-2014-9449 exiv2: buffer overflow in RiffVideo::infoTagsHandler [fedora-21]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exiv2
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-9449
TreeView+ depends on / blocked
 
Reported: 2015-01-05 15:57 UTC by Martin Prpič
Modified: 2018-04-11 15:14 UTC (History)
4 users (show)

Fixed In Version: exiv2-0.24-4.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 22:59:58 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Prpič 2015-01-05 15:57:52 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

fedora-21 tracking bug for exiv2: see blocks bug list for full details of the security issue(s).

This bug is never intended to be made public, please put any public notes
in the blocked bugs.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2015-01-05 15:57:56 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1178908,1178909

# Description of your update
notes=Security fix for CVE-2014-9449

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1178908,1178909

Comment 2 Fedora Update System 2015-01-05 17:54:01 UTC
exiv2-0.24-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/exiv2-0.24-4.fc21

Comment 3 Fedora Update System 2015-01-07 01:28:31 UTC
Package exiv2-0.24-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exiv2-0.24-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0301/exiv2-0.24-4.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-01-21 22:59:58 UTC
exiv2-0.24-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.